## libvirt 0.9.9

=== debian/changelog ===
libvirt (0.9.9-3) unstable; urgency=low

  * Upload to unstable
  * [367b47b] Enable netcf support (Closes: #567606)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Feb 2012 14:10:07 +0100

libvirt (0.9.9-2) experimental; urgency=low

  * [97182f9] Don't fail if we can't setup avahi. We'd need to make this a
    hard dependency otherwise.
  * [bf94bbd] xen: Don't crash when we fail to init caps (Closes: #656075)
  * [56f2dbc] Cleanup /var/log/libvirt on purge (Closes: #656460)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Feb 2012 17:45:12 +0100

libvirt (0.9.9-1) experimental; urgency=low

  * [dd5f96f] New upstream version 0.9.9
  * [623022f] Rebase patches
  * [77eb5a4] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Jan 2012 13:40:41 +0100
