## libvirt 0.9.10

=== debian/changelog ===
libvirt (0.9.10-1) experimental; urgency=low

  * [63a7e8c] New upstream version 0.9.10

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Feb 2012 09:05:27 +0100
