## libvirt 0.9.12

=== debian/changelog ===
libvirt (0.9.12-11~bpo60+1) squeeze-backports; urgency=low

  * [f7dc362] Mention qemu-kvm version bump in NEWS (Closes: #700231)
  * Remaining changes
      * [82758c4] Use dh_pycentral on Squeeze
        since there's no dh_python2 yet.
      * [e9ebaaf] Use XS-Python-Version instead of X-Python-Version
        since we still use dh_pycentral
      * [c754689] Disable the testsuite for backport builds
      * [69fd64c] Don't fail if we can't setup avahi
      * [eb68005] virnetdev: Check for defined IFLA_VF_*
        Thanks to Philipp Hahn
      * [31a43dd] Disable macvtap on Squeeze since it's kernel are too old
        to compile it.
      * [befaa18] Disable werror since Squeeze's libnl throws warnings
      * [8a2008d] Disable netcf not available in Squeeze

 -- Guido Günther <agx@sigxcpu.org>  Sat, 16 Mar 2013 14:12:46 +0100

libvirt (0.9.12-11) unstable; urgency=low

  * [422c506] Use "getent passwd" instead of the non existing "getent user"
    Thanks to again to Adam D. Barratt

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Mar 2013 12:27:09 +0100

libvirt (0.9.12-10) unstable; urgency=low

  * [56bcb4c] Properly remove libvirt-qemu group and user.
    Thanks to Adam D. Barratt for noticing
  * [8abfe79] Make sure libvirt-bin.NEWS gets displayed in wheezy as well

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Mar 2013 08:23:55 +0100

libvirt (0.9.12-9) unstable; urgency=low

  * [424ffbc] Revert "Enable systemd services" We enabled systemd support in
    0.9.13 Thanks to Antti-Juhani Kaijanaho
    (Closes: #702324)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 Mar 2013 12:35:06 +0100

libvirt (0.9.12-8) unstable; urgency=low

  * [181eab1] CVE-2013-1766: Use libvirt-qemu as group to run qemu/kvm
    instances.  This makes sure we don't chown files to groups possibly used
    by other programs. (Closes: #701649)
  * [0ef17cc] Enable systemd services

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Mar 2013 16:58:19 +0100

libvirt (0.9.12-7) unstable; urgency=low

  * [d45d576] qemu: Add support for -no-user-config
    so newer cpu models can be used.
    Thanks to Philipp Kern for his report and testing (Closes: #699813)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 Feb 2013 10:09:07 +0100

libvirt (0.9.12-6~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * [141e575] Depend on newer qemu-kvm
    available via backports too since the one in Squeeze has some interop
    issues.
  * Remaining changes
    * [82758c4] Use dh_pycentral on Squeeze since there's no dh_python2 yet.
    * [e9ebaaf] Use XS-Python-Version instead of X-Python-Version since we
      still use dh_pycentral
    * [c754689] Disable the testsuite for backport builds
    * [69fd64c] Don't fail if we can't setup avahi
    * [eb68005] virnetdev: Check for defined IFLA_VF_* Thanks to Philipp Hahn
    * [31a43dd] Disable macvtap on Squeeze since it's kernel is too old to
      compile it.
    * [befaa18] Disable werror since Squeeze's libnl throws warnings
    * [8a2008d] Disable netcf not available in Squeeze

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Feb 2013 18:24:55 +0100

libvirt (0.9.12-6) unstable; urgency=low

  * [78a3a68] Revert "rpc: Discard non-blocking calls only when necessary"
    Thanks to Jiri Denemark for the patch and Philipp Hahn for debugging
  * [5b4dc1a] qemu: Fix off-by-one error while unescaping monitor strings.
    Thanks to Peter Krempa for the patch and Philipp Hahn for debugging this
    (Closes: #699281)
  * [372f53d] rpc: Fix crash on error paths of message dispatching.
    This fixes CVE-2013-0170
    Thanks to Peter Krempa (Closes: #699224)
  * [2a2a60e] Make python-libvirt depend on the exact same libvirt0 version
    (Closes: #697852, #699128)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Jan 2013 21:02:05 +0100

libvirt (0.9.12-5) unstable; urgency=high

  * Setting urgency to high since it's a security only fix
  * [c0f4995] New patch security-Fix-libvirtd-crash-possibility.patch.
    Fix libvirtd crash possibility (CVE-2012-4423)
    Thanks to Martin Kletzander (Closes: #687598)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Sep 2012 22:35:08 +0200

libvirt (0.9.12-4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remaining changes
    * [82758c4] Use dh_pycentral on Squeeze since there's no dh_python2 yet.
    * [e9ebaaf] Use XS-Python-Version instead of X-Python-Version since we
      still use dh_pycentral
    * [c754689] Disable the testsuite for backport builds
    * [69fd64c] Don't fail if we can't setup avahi
    * [eb68005] virnetdev: Check for defined IFLA_VF_* Thanks to Philipp Hahn
    * [31a43dd] Disable macvtap on Squeeze since it's kernel is too old to
      compile it.
    * [befaa18] Disable werror since Squeeze's libnl throws warnings
    * [8a2008d] Disable netcf not available in Squeeze

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Aug 2012 12:30:27 +0200

libvirt (0.9.12-4) unstable; urgency=low

  * [80ac2a6] Fix CVE-2012-3445 with upstream commit
    6039a2cb49c8af4c68460d2faf365a7e1c686c7b (Closes: #683483)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Aug 2012 21:12:13 +0200

libvirt (0.9.12-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remaining changes
    * [82758c4] Use dh_pycentral on Squeeze since there's no dh_python2 yet.
    * [e9ebaaf] Use XS-Python-Version instead of X-Python-Version since we
      still use dh_pycentral
    * [c754689] Disable the testsuite for backport builds
    * [69fd64c] Don't fail if we can't setup avahi
    * [eb68005] virnetdev: Check for defined IFLA_VF_* Thanks to Philipp Hahn
    * [31a43dd] Disable macvtap on Squeeze since it's kernel is too old to
      compile it.
    * [befaa18] Disable werror since Squeeze's libnl throws warnings
    * [8a2008d] Disable netcf not available in Squeeze

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Jul 2012 14:32:32 +0200

libvirt (0.9.12-3) unstable; urgency=low


