=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
-Build-Depends: cdbs (>= 0.4.90~),
+Build-Depends: cdbs (>= 0.4.89~),
+ python-central,
  debhelper (>= 7),
  libxml2-dev,
  libncurses5-dev,
  libreadline-dev,
  zlib1g-dev,
+ libgcrypt11-dev,
  libgnutls-dev,
  python-all-dev (>= 2.6.6-3~),
  libavahi-client-dev,
@@ -23,17 +25,17 @@
  libudev-dev [linux-any],
  libhal-dev [!linux-any],
  libpciaccess-dev,
- module-init-tools,
+ module-init-tools [linux-any],
  policykit-1,
  libcap-ng-dev [linux-any],
- virtualbox-ose [amd64 i386],
  libnl-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
+ lsb-release,
  radvd [linux-any],
- libnetcf-dev [linux-any],
 # For "make check"
+ dwarves,
  libxml2-utils,
  dnsmasq-base,
  openssh-client,
@@ -42,9 +44,9 @@
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
 Homepage: http://libvirt.org
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
-X-Python-Version: >= 2.6
+XS-Python-Version: >= 2.6
 
 Package: libvirt-bin
 Architecture: any
@@ -55,7 +57,7 @@
  bridge-utils,
  dnsmasq-base (>= 2.46-1),
  iptables (>= 1.4.10),
- qemu-kvm | qemu (>= 0.9.1),
+ qemu-kvm (>= 1.1.2) | qemu (>= 0.9.1),
  libxml2-utils,
  gawk,
  ebtables,
@@ -123,10 +125,11 @@
 
 Package: python-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (= ${binary:Version})
 Provides: ${python:Provides}
 Recommends: libvirt-bin
 Section: python
+XB-Python-Version: ${python:Versions}
 Description: libvirt Python bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
