=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_PYTHON_SYSTEM = pycentral
 DEB_BUILD_PARALLEL = yes
 export VIR_TEST_DEBUG=1
 
@@ -7,8 +8,9 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
+DISTREL := $(shell lsb_release -cs)
+
 ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
-  DEB_MAKE_CHECK_TARGET = check
   WITH_XEN = --with-xen
   WITH_VBOX = --with-vbox
 else
@@ -53,12 +55,21 @@
   WITH_NETCF          = --without-netcf
 endif
 
+ifeq "$(DISTREL)" "squeeze"
+    # Squeeze's kernel headers are too old to compile macvtap
+    WITH_MACVTAP    = --without-macvtap
+    # Squeeze's libnl throws warnings
+    WITH_WERROR     = --without-werror
+    # netcf not available in Squeeze
+    WITH_NETCF          = --without-netcf
+endif
+
 DEB_BUILDDIR := $(CURDIR)/debian/build
 DEB_CONFIGURE_EXTRA_FLAGS :=     \
 	--disable-rpath          \
 	$(WITH_QEMU)		 \
 	--with-qemu-user=libvirt-qemu  \
-	--with-qemu-group=kvm    \
+	--with-qemu-group=libvirt-qemu \
         $(WITH_OPENVZ)		 \
 	--with-avahi             \
 	--with-sasl              \
@@ -81,7 +92,8 @@
 	$(WITH_NETCF)		 \
 	$(WITH_XEN)		 \
 	$(WITH_VBOX)		 \
-	$(WITH_LXC)
+	$(WITH_LXC)              \
+	$(WITH_WERROR)
 
 DEB_COMPRESS_EXCLUDE = .o event-test hellolibvirt info1 suspend
 DEB_PYTHON_SETUP_CMD = /dev/null
