## libvirt 0.9.12.3

=== debian/changelog ===
libvirt (0.9.12.3-1+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-5748 and CVE-2018-1064: Daniel P. Berrange and
    Peter Krempa of Red Hat discovered a flaw in libvirt. A lack of restriction
    for the amount of data read by QEMU Monitor socket can lead to a denial of
    service by exhaustion of memory resources.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Mar 2018 14:58:33 +0100

libvirt (0.9.12.3-1+deb7u2) wheezy-security; urgency=high

  * CVE-2016-5008: Let empty default VNC password work as documented.
   
    Setting an empty graphics password is documented as a way to disable
    VNC/SPICE access, but QEMU does not always behave like that. VNC would
    happily accept the empty password. We enforce the behavior by setting
    password expiration to "now".

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Jul 2016 10:33:40 +0200

libvirt (0.9.12.3-1+deb7u1) stable-security; urgency=medium

  * [72a9d06] CVE-2014-3633: qemu: blkiotune: Use correct definition when
    looking up disk (Closes: #762203)
  * [3c5f1fa] LSN-2014-0003: Don't expand entities when parsing XML

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Sep 2014 13:39:54 +0200

libvirt (0.9.12.3-1) stable-security; urgency=medium

  * [0a01d0a] New upstream version 0.9.12.3
    Fixes CVE-2013-6458 and CVE-2014-1447
    (Closes: #734556)
  * [43817d5] Don't fail chmod/chdir if a file doesn't exist.
  * [753faf6] Check correct dirs for existence (Closes: #729331)
  * [3ed9278] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Jan 2014 11:05:59 +0100

libvirt (0.9.12.2-1) wheezy-proposed-updates; urgency=low

  * [77a7135] Adjust gbp.conf for Wheezy point releases
  * [b457e3f] New upstream version 0.9.12.1
  * [ae6e265] New upstream version 0.9.12.2
  * [2d07b5c] Drop patches fixed upstream.
        Include-stdint.h-for-uint32_t.patch
        Revert-rpc-Discard-non-blocking-calls-only-when-nece.patch
        fix-leak-virStorageBackendLogicalMakeVol.patch
        qemu-Add-support-for-no-user-config.patch
        qemu-Fix-off-by-one-error-while-unescaping-monitor-s.patch
        rpc-Fix-crash-on-error-paths-of-message-dispatching.patch
        security/CVE-2012-3445.patch
        security/Fix-crash-in-remoteDispatchDomainMemoryStats.patch
        security/security-Fix-libvirtd-crash-possibility.patch
        upstream/Fix-libvirtd-crash-when-destroying-a-domain-with-att.patch
        upstream/Fix-race-condition-when-destroying-guests.patch

 -- Guido Günther <agx@sigxcpu.org>  Tue, 01 Oct 2013 21:45:08 +0200

libvirt (0.9.12-11+deb7u4) stable-security; urgency=low

  * [e91a86a] CVE-2013-4296: Fix crash in remoteDispatchDomainMemoryStats.
    Thanks to "Daniel P. Berrange"

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Sep 2013 13:12:45 +0200

libvirt (0.9.12-11+deb7u3) wheezy-proposed-updates; urgency=low

  * [9c12e5a] Fix race condition when destroying guests.
    Closes: #717893
    Thanks to Ferenc Wágner for sorting this out.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Aug 2013 19:30:54 +0200

libvirt (0.9.12-11+deb7u2) wheezy-proposed-updates; urgency=low

  [ Guido Günther ]
  * [5bc00df] Make sure qemu.conf isn't world readable by default
    since the user might add passwords to it. (Closes: #710537)

  [ Ferenc Wagner ]
  * [ce7ef48] Fix libvirtd crash when destroying a domain with attached console
    (Closes: #710517)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Aug 2013 10:37:16 +0200

libvirt (0.9.12-11+deb7u1) wheezy-proposed-updates; urgency=low

  [ Guido Günther ]
  * [af660e5] Allow xen toolstack to find it's binaries.
    Thanks to George Dunlap for the patch. (Closes: #685749)

  [ Luca Tettamanti ]
  * [90d8287] Fix leak in virStorageBackendLogicalMakeVol
    (Closes: #705205)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 May 2013 13:42:44 +0200
