=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
-Build-Depends: cdbs (>= 0.4.89~),
- python-central,
+Build-Depends: cdbs (>= 0.4.90~),
  debhelper (>= 7),
  libxml2-dev,
  libncurses5-dev,
@@ -32,8 +31,8 @@
  libyajl-dev,
  libpcap0.8-dev,
  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
- lsb-release,
  radvd [linux-any],
+ libnetcf-dev [linux-any],
 # For "make check"
  dwarves,
  libxml2-utils,
@@ -46,7 +45,7 @@
 Homepage: http://libvirt.org
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
-XS-Python-Version: >= 2.6
+X-Python-Version: >= 2.6
 
 Package: libvirt-bin
 Architecture: any
@@ -57,7 +56,7 @@
  bridge-utils,
  dnsmasq-base (>= 2.46-1),
  iptables (>= 1.4.10),
- qemu-kvm (>= 1.1.2) | qemu (>= 0.9.1),
+ qemu-kvm | qemu (>= 0.9.1),
  libxml2-utils,
  gawk,
  ebtables,
@@ -129,7 +128,6 @@
 Provides: ${python:Provides}
 Recommends: libvirt-bin
 Section: python
-XB-Python-Version: ${python:Versions}
 Description: libvirt Python bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
