## libvirt 0.9.13

=== debian/changelog ===
libvirt (0.9.13-0ubuntu12) quantal; urgency=low

  * Refresh fix-ubuntu-xen-qemu-dm-path.patch to only use executable
    names and let the toolchain find out the right paths (LP: #914788).
    Thanks George Dunlap.
  * Refresh and re-activate xen_hypervisor-treat-missing-privcmd-file-
    as-temporary.patch (LP: #922486)

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 05 Oct 2012 11:35:43 +0200

libvirt (0.9.13-0ubuntu11) quantal-proposed; urgency=low

  * SECURITY UPDATE: denial of service via invalid RPC command
    - debian/patches/CVE-2012-3445.patch: make sure nparams isn't set to
      zero in daemon/remote.c.
    - CVE-2012-3445

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Sep 2012 11:49:45 -0400

libvirt (0.9.13-0ubuntu10) quantal; urgency=high

  * apply fix-cve-2012-4423 from upstream to prevent potential daemon
    segfaults with newer virsh.
    - Fixes: CVE-2012-4423.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 14 Sep 2012 11:05:40 -0500

libvirt (0.9.13-0ubuntu9) quantal; urgency=low

  * debian/patches/lp1039678.patch: fix segfault in 'snapshot-list'
    - LP: #1039678

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 21 Aug 2012 13:59:34 -0500

libvirt (0.9.13-0ubuntu8) quantal-proposed; urgency=low

  * debian/libvirt-bin.apport: add filter on AppArmor profile names to
    prevent false positives from denials originating in other packages.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Aug 2012 10:49:17 -0400

libvirt (0.9.13-0ubuntu7) quantal; urgency=low

  * debian/apparmor/libvirt-qemu: allow owner read access to @{PROC}/*/auxv

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 14 Aug 2012 16:44:30 -0500

libvirt (0.9.13-0ubuntu6) quantal; urgency=low

  * enable netcf support (LP: #520386)
    - debian/control: build-dep on libnetcf-dev
    - debian/rules: add --with-netcf to configure args
  * add patch netcf-daemon-fix-wrong-macro-name from upstream so netcf support
    can actually work.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 08 Aug 2012 07:54:16 -0500

libvirt (0.9.13-0ubuntu5) quantal; urgency=low

  * add patch Reduce-udevadm-settle-timeout-to-10-seconds.patch (copied from
    Debian tree) to fix 3 minute hang during pool-refresh when using LVM
    backed pools.  (LP: #1027987)
  * debian/control: add pm-utils to libvirt-bin Suggests.  (LP: #994476)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 26 Jul 2012 11:05:18 -0500

libvirt (0.9.13-0ubuntu4) quantal; urgency=low

  * debian/patches/add-armhf-sysinfo-infomration.patch:
    Provides cpuinfo for armhf cpus.
  * debian/patches/add-armhf-cpuinfo-parser.patch:
    Fixes compile time warning about armhf cpus.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jul 2012 14:54:47 -0500

libvirt (0.9.13-0ubuntu3) quantal; urgency=low

  * debian/apparmor/libvirt-qemu: add ceph.conf (LP: #1026404)
  * debian/patches: re-add 9002-better_default_uri_virsh.patch (LP: #1026515)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 19 Jul 2012 07:58:39 -0500

libvirt (0.9.13-0ubuntu2) quantal; urgency=low

  * Apply upstream patch to switch default storage pool dir perms from 0700
    to 0755.  Then push our own patch to change that to 0711.  We'll get the
    upstream patch on 0.9.14 merge, but we'll want to keep our patch on top
    of that.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 16 Jul 2012 18:06:43 +0000

libvirt (0.9.13-0ubuntu1) quantal; urgency=low

  * New upstream version: 
  * debian/rules: Remove .la files
  * debian/control: Dropped debian vcs info.
  * Dropped:
    - debian/paches/9022-pass-the-virt-driver-name-into-security-drivers:
      Already applied upstream.
    - debian/patches/9023-dont-enable-apparmor-driver-with-lxc
      Already applied upstream.
    - debian/patches/9024-initialize-random-generator-in-lxc:
      Already applied upstream.
  * Re-diffed:
    - debian/patches/9002-better_default_uri_virsh.patch
  * Added:
    - debian/patches/add-libvirt-highbank-support.patch: Add highbank 
      CPU detection support.
    - debian/patches/fix-lxc-container-unmounting.patch: Fix container
      mounting.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jul 2012 12:37:49 -0500

libvirt (0.9.12-0ubuntu5) quantal; urgency=low

  * 9024-initialize-random-generator-in-lxc: invoke virRandomInitialize()
    to prevent segfaults when lxc uses virRandomBits().  (LP: #1023205)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 11 Jul 2012 07:59:03 -0500

libvirt (0.9.12-0ubuntu4) quantal; urgency=low

  * 9022-pass-the-virt-driver-name-into-security-drivers and
    9023-dont-enable-apparmor-driver-with-lxc: fix libvirt-lxc breakages
    due to incomplete apparmor security driver for lxc.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 29 Jun 2012 18:15:04 -0500

libvirt (0.9.12-0ubuntu3) quantal; urgency=low

  * install apport hook as right name - libvirt-bin is the binary package,
    the source package name is libvirt.  (LP: #1007405)
  * install /etc/dnsmasq.d/libvirt to configure system wide dnsmasq to not
    listen on the libvirt bridge.  (Following Stéphane's lxc example)
    (LP: #928524) (LP: #231060)
    - postinst: restart dnsmasq; postrm: remove dnsmasq.d/libvirt file and
      restart dnsmasq;  rules, libvirt-bin.dirs and libvirt-bin.install:
      install new debian/libvirt-bin.dnsmasq file.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 01 Jun 2012 09:36:58 -0500

libvirt (0.9.12-0ubuntu2) quantal; urgency=low

  * Warn user about bad pc-0.12 machine type, and help user transition.
    (LP: #1001625)
    - qemu-warn-on-pc-0.12.patch: When defining or starting a VM which uses the
      pc-0.12 machine type, warn in libvirtd.log. 
    - debian/libvirt-migrate-qemu-machinetype: automatically migrate QEMU VMs
      to newest machine type.  This is not done automatically as there will
      be some users who have good reason to stay with pc-0.12.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 28 May 2012 17:48:50 +0000


