=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 Build-Depends: cdbs (>= 0.4.90~),
  debhelper (>= 7),
@@ -9,14 +10,15 @@
  libncurses5-dev,
  libreadline-dev,
  zlib1g-dev,
+ libgnutls-dev,
  libgcrypt11-dev,
- libgnutls-dev,
  python-all-dev (>= 2.6.6-3~),
  libavahi-client-dev,
  libsasl2-dev,
  libxen-dev [i386 amd64],
  lvm2 [linux-any],
- open-iscsi [linux-any],
+ open-iscsi-utils,
+ libgcrypt11-dev,
  libparted0-dev (>= 2.2),
  parted (>= 2.2),
  libdevmapper-dev [linux-any],
@@ -27,7 +29,8 @@
  module-init-tools [linux-any],
  policykit-1,
  libcap-ng-dev [linux-any],
- libnl-dev [linux-any],
+ libnl-3-dev,
+ libnl-route-3-dev,
  libyajl-dev,
  libpcap0.8-dev,
  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
@@ -36,34 +39,39 @@
 # For "make check"
  dwarves,
  libxml2-utils,
+ libapparmor-dev,
  dnsmasq-base,
  openssh-client,
  netcat-openbsd,
 Build-Conflicts: dpkg-dev (= 1.15.3)
-Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
 Homepage: http://libvirt.org
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 
 Package: libvirt-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ adduser,
+ bridge-utils,
+ cgroup-lite | cgroup-bin,
+ dnsmasq-base (>= 2.46-1),
+ dbus,
+ gettext-base,
+ iptables (>= 1.4.10),
+ libvirt0 (= ${binary:Version}),
+ logrotate,
+ netcat-openbsd
 Enhances: qemu, qemu-kvm, xen
 Section: admin
-Recommends: netcat-openbsd,
- bridge-utils,
- dnsmasq-base (>= 2.46-1),
- iptables (>= 1.4.10),
- qemu-kvm | qemu (>= 0.9.1),
+Recommends:
  libxml2-utils,
  gawk,
  ebtables,
  dmidecode,
  iproute,
  parted
-Suggests: policykit-1, radvd
+Suggests: policykit-1, apparmor, pm-utils, qemu-kvm | qemu (>= 0.9.1), radvd
 Description: programs for the libvirt library
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -75,7 +83,7 @@
 Package: libvirt0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: lvm2 [linux-any]
+Suggests: lvm2 [linux-any]
 Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -124,7 +132,7 @@
 
 Package: python-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= ${binary:Version})
 Provides: ${python:Provides}
 Recommends: libvirt-bin
 Section: python
