=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,8 @@
 ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
   DEB_MAKE_CHECK_TARGET = check
   WITH_XEN = --with-xen
-  WITH_VBOX = --with-vbox
 else
   WITH_XEN = --without-xen
-  WITH_VBOX = --without-vbox
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
@@ -58,7 +56,7 @@
 	--disable-rpath          \
 	$(WITH_QEMU)		 \
 	--with-qemu-user=libvirt-qemu  \
-	--with-qemu-group=libvirt-qemu \
+	--with-qemu-group=kvm    \
         $(WITH_OPENVZ)		 \
 	--with-avahi             \
 	--with-sasl              \
@@ -80,13 +78,14 @@
 	$(WITH_NETWORK)		 \
 	$(WITH_NETCF)		 \
 	$(WITH_XEN)		 \
-	$(WITH_VBOX)		 \
-	$(WITH_LXC)
+	$(WITH_LXC)		 \
+	--with-apparmor		 \
+	--without-vbox
 
 DEB_COMPRESS_EXCLUDE = .o event-test hellolibvirt info1 suspend
 DEB_PYTHON_SETUP_CMD = /dev/null
 DEB_DH_MAKESHLIBS_ARGS_libvirt0 += -V 'libvirt0 (>= 0.5.0)'
-DEB_DH_INSTALLINIT_ARGS = --no-restart-on-upgrade -- defaults 28 72
+DEB_DH_INSTALLINIT_ARGS = --upstart-only
 DEB_PYTHON_MODULE_PACKAGE = python-libvirt
 
 LOGROTATE = $(basename $(basename $(notdir $(wildcard daemon/libvirtd*.logrotate.in))))
@@ -95,9 +94,10 @@
 include debian/python.mk
 
 binary-install/libvirt-bin::
-	cp $(CURDIR)/tools/libvirt-guests.init.sh $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
-	cp $(CURDIR)/tools/libvirt-guests.sysconf $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
-	dh_installinit --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
+	#cp $(CURDIR)/tools/libvirt-guests.init.sh $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
+	#cp $(CURDIR)/tools/libvirt-guests.sysconf $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
+	#dh_installinit --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
+	rm debian/libvirt-bin/usr/lib/libvirt/connection-driver/*.la
 
 	for l in $(LOGROTATE); do \
 		cp $(CURDIR)/debian/build/daemon/$$l.logrotate \
@@ -109,6 +109,24 @@
 	# Add empty dir so dh_install doesn't fail on kFreebsd until we have Polkit support
 	mkdir -p debian/tmp/usr/share/polkit-1
 
+build/libvirt-bin::
+	# Add empty dir so dh_install doesn't fail on kFreebsd until we have Polkit support
+	mkdir -p debian/tmp/usr/share/polkit-1
+	mkdir -p debian/tmp/etc/apparmor.d/abstractions debian/tmp/etc/apparmor.d/libvirt
+	mkdir -p debian/tmp/etc/apparmor.d/local
+	cp -f debian/apparmor/libvirt-qemu debian/tmp/etc/apparmor.d/abstractions
+	cp -f debian/apparmor/usr.lib.libvirt.virt-aa-helper debian/tmp/etc/apparmor.d
+	cp -f debian/apparmor/usr.sbin.libvirtd debian/tmp/etc/apparmor.d
+	cp -f debian/apparmor/local-usr.sbin.libvirtd debian/tmp/etc/apparmor.d/local/usr.sbin.libvirtd
+	cp -f debian/apparmor/TEMPLATE debian/tmp/etc/apparmor.d/libvirt
+	mkdir -p debian/tmp/usr/share/apport/package-hooks
+	cp -f debian/libvirt-bin.apport debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
+	mkdir -p debian/tmp/usr/sbin
+	cp -f debian/libvirt-migrate-qemu-disks debian/tmp/usr/sbin
+	cp -f debian/libvirt-migrate-qemu-machinetype debian/tmp/usr/sbin
+	# copy dnsmasq configuration
+	mkdir -p debian/tmp/etc/dnsmasq.d
+	cp debian/libvirt-bin.dnsmasq debian/tmp/etc/dnsmasq.d/libvirt-bin
 
 binary-install/libvirt-doc::
 	find $(EXAMPLES_DIR) -name "*.o" -type f -delete -o -name .libs -type d -exec rm -rf {} \;
@@ -118,7 +136,7 @@
 	rm -f $(EXAMPLES_DIR)hellolibvirt/hellolibvirt
 
 clean::
-	rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
-	rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
+	#rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
+	#rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
 	rm -f $(CURDIR)/debian/libvirt-bin.*.logrotate
 	rm -rf $(DEB_BUILDDIR)
