## libvirt 1.0.2

=== debian/changelog ===
libvirt (1.0.2-0ubuntu5) raring; urgency=low

  * debian/apparmor/libvirt-qemu: allow qemu read access to
    @{PROC}/sys/vm/overcommit_memory

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Feb 2013 10:12:40 -0600

libvirt (1.0.2-0ubuntu4) raring; urgency=low

  * Update Readme.Debian
    - we use libvirtd, not libvirt group (LP: #1095140)
    - we add users from sudo, not admin group, to libvirtd.
  * libvirt-bin.postinst: put users from sudo, not admin group, into group
    libvirtd. (LP: #1124127)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 13 Feb 2013 09:47:58 -0600

libvirt (1.0.2-0ubuntu3) raring; urgency=low

  * libvirt-bin.postrm: only remove /etc/dnsmasq.d/libvirt-bin during
    remove.  (LP: #1113821)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 04 Feb 2013 10:35:47 -0600

libvirt (1.0.2-0ubuntu2) raring; urgency=low

  * debian/patches/fix-virterror-namechange: Include virterror otherwise
    python-libvirt wont be able to find any error codes. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Feb 2013 13:10:58 -0600

libvirt (1.0.2-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * New upstream release: 
    + Dropped patches:
      - debian/patches/Add_RESUME_event_listener_to_qemu_monitor.patch
      - debian/patches/build-work-around-broken-kernel-header.patch
      - debian/patches/bridge-fix-persistent-networks.patch
      - debian/patches/CVE-2013-0170.patch
      - debian/patches/qemu-relax-hard-rss-limit.patch
      - debian/patches/9003-better-default-arch.patch
    + Refreshed patches:
      - debian/patches/fix-ubuntu-xen-qemu-dm-path.patch
      - debian/patches/Reduce-udevadm-settle-timeout-to-10-seconds.patch
      - debian/patches/9021-fix-uint64_t.patch
      - debian/patches/9020-lp545795.patch
      - debian/patches/Don-t-fail-if-we-can-t-setup-avahi.patch
    + debian/libvirt0.install: Add libvirt-lxc.so.*

  [ Serge Hallyn ]
  * debian/patches/fix-virterror-namechange: fix unfinished name change
    causing errors in generated libvirt.py.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 30 Jan 2013 09:04:38 -0600

libvirt (1.0.1-0ubuntu4) raring; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    uninitialized pointer
    - debian/patches/CVE-2013-0170.patch: remove message from queue before
      freeing in src/rpc/virnetserverclient.c.
    - CVE-2013-0170

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Jan 2013 15:19:54 -0500

libvirt (1.0.1-0ubuntu3) raring; urgency=low

  * debian/apparmor/libvirt-qemu: add /usr/share/ovmf/** r (LP: #1074207)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Jan 2013 11:55:19 -0600

libvirt (1.0.1-0ubuntu2) raring; urgency=low

  * add qemu-relax-hard-rss-limit.rss to avoid OOM kills (LP: #1102290)
  * debian/rules: replace --without-vbox with --with-vbox (LP: #1103721)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 24 Jan 2013 13:00:48 -0600

libvirt (1.0.1-0ubuntu1) raring; urgency=low

  * New upstream version.  (LP: #1102487)
    + Dropped apparmor-allow-hugepages
    + update dnsmasq-as-priv-user, upstream now uses a configuration file.
    + swap Add_RESUME_event_listener_to_qemu_monitor.patch from git tree for
      the backported handle_resume_1.0.0-0ubuntu4.patch.
    + rebuild debian/patches/build-work-around-broken-kernel-header
    + add bridge-fix-persistent-networks.patch from upstream to fix bug
      where new networks are not marked persistent.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 23 Jan 2013 13:24:30 -0600

libvirt (1.0.0-0ubuntu5) raring; urgency=low

  * handle_resume_1.0.0-0ubuntu4.patch: Add RESUME event listener to qemu
    monitor (LP: #1097824)
  * build-work-around-broken-kernel-header: work around FTBFS due to a
    broken linux/if_bridge.h.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 Jan 2013 09:15:20 -0600

libvirt (1.0.0-0ubuntu4) raring; urgency=low

  * debian/patches/apparmor-allow-hugepages: update apparmor policies to
    allow use of hugepages.  (LP: #646468)
  * debian/patches/vnc-socket.patch: If a vnc socket is in use, add it's
    path to the apparmor policy.  (LP: #1069534)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 05 Dec 2012 16:43:04 -0600

libvirt (1.0.0-0ubuntu3) raring; urgency=low

  * libvirt-bin.postinst: on first install, don't autostart virbr0 if
    192.168.122.0 already is in use.  On upgrade, always autostart
    virbr0 if and only if it was autostarted before the upgrade.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 27 Nov 2012 00:25:11 -0600

libvirt (1.0.0-0ubuntu2) raring; urgency=low

  * debian/patches/add-armhf-sysinfo-infomration.patch: Disable
    to fix FTBFS on arm.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 19 Nov 2012 10:41:02 -0600

libvirt (1.0.0-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * New upstream version: 
    + droppped:
      - debian/patches/CVE-2012-3445.patch
      - debian/patches/fix-cve-2012-4423
      - debian/patches/lp1039678.patch
      - debian/patches/add-libvirt-highbank-support.patch
      - debian/patches/add-armhf-cpuinfo-parser.patch
      - debian/patches/fix-lxc-container-unmounting.patch
      - debian/patches/libnl3-build-fix.patch
      - debian/patches/Don-t-require-gawk-for-a-simple-print-expression.patch
      - debian/patches/virsh-Initialize-library-before-calling-virResetLast.patch
      - debian/patches/qemu-warn-on-pc-0.12.patch
      - debian/patches/storage-default-pool-permission-mode-to-0755
      - debian/patches/netcf-daemon-fix-wrong-macro-name
      - debian/patches/xen_hypervisor-treat-missing-privcmd-file-as-temporary.patch
    + Re-diffed:
      - debian/patches/9002-better_default_uri_virsh.patch
      - debian/patches/dnsmasq-as-priv-user
      - debian/patches/enable-kvm-spice.patch
    + debian/control, debian/rules: Turn on rbd pool storage.

   [ Serge Hallyn ]
   * Add patches to fix apparmor labeling issue at VM start:
     - apparmor-no-need-to-check-security-model

