=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
   WITH_QEMU           = --with-qemu
   WITH_OPENVZ         = --with-openvz
   WITH_NETCF          = --with-netcf
+  WITH_CEPH			  = --with-storage-rbd
   ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 i386 ia64 mips mipsel powerpc))
       WITH_NUMA       = --with-numactl
   else
@@ -80,7 +81,7 @@
 	$(WITH_XEN)		 \
 	$(WITH_LXC)		 \
 	--with-apparmor		 \
-	--without-vbox
+	--with-vbox
 
 DEB_COMPRESS_EXCLUDE = .o event-test hellolibvirt info1 suspend
 DEB_PYTHON_SETUP_CMD = /dev/null
